%--------------------------------------------------------------------------
% File     : BOO008-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Sum is associative ( (X + Y) + Z = X + (Y + Z) )
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : prob1.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.57 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  16 unit;   4 RR)
%            Number of literals   :   31 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
%----The ANL version of this problem includes the idempotence lemmas 

%input_clause(idempotence_of_add,axiom,
%    [++equal(add(X,X),X)]).
%input_clause(idempotence_of_multiply,axiom,
%    [++equal(multiply(X,X),X)]).

input_clause(prove_associativity,conjecture,
    [--equal(add(a,add(b,c)),add(add(a,b),c))]).
%--------------------------------------------------------------------------
