%--------------------------------------------------------------------------
% File     : CAT012-4 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : codomain(domain(x)) = domain(x)
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.11 v2.2.0, 0.14 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;   6 unit;  17 RR)
%            Number of literals   :   46 (  25 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   43 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
include('Axioms/CAT004-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_domain_exists,hypothesis,
    [++there_exists(domain(a))]).

input_clause(prove_codomain_of_domain_is_domain,conjecture,
    [--equal(codomain(domain(a)),domain(a))]).
%--------------------------------------------------------------------------
