%--------------------------------------------------------------------------
% File     : FLD025-5 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The resulting equation of a multiplication of two equations
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Relational variant with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.33 v2.1.0
% Syntax   : Number of clauses    :   37 (   3 non-Horn;  14 unit;  37 RR)
%            Number of literals   :   88 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(product_7,conjecture,
    [++product(multiplicative_identity,a,b)]).

input_clause(product_8,conjecture,
    [++product(multiplicative_identity,c,d)]).

input_clause(product_9,conjecture,
    [++product(a,c,u)]).

input_clause(product_10,conjecture,
    [++product(d,b,v)]).

input_clause(not_product_11,conjecture,
    [--product(multiplicative_identity,u,v)]).
%--------------------------------------------------------------------------
