%--------------------------------------------------------------------------
% File     : FLD047-3 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 1
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   32 (   3 non-Horn;   9 unit;  32 RR)
%            Number of literals   :   83 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(not_sum_4,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_5,conjecture,
    [--sum(additive_identity,c,additive_identity)]).

input_clause(not_product_6,conjecture,
    [--product(a,multiplicative_inverse(b),multiply(multiply(a,c),
multiplicative_inverse(multiply(b,c))))]).
%--------------------------------------------------------------------------
