%--------------------------------------------------------------------------
% File     : FLD052-1 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 6
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  10 unit;  34 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(b_not_equal_to_additive_identity_5,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_6,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(add_not_equal_to_multiply_7,conjecture,
    [--equalish(add(multiply(a,multiplicative_inverse(b)),multiply(c,
multiplicative_inverse(d))),multiply(add(multiply(a,d),multiply(b,c)),
multiplicative_inverse(multiply(b,d))))]).
%--------------------------------------------------------------------------
