%--------------------------------------------------------------------------
% File     : FLD054-4 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 8
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   37 (   3 non-Horn;  14 unit;  37 RR)
%            Number of literals   :   88 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   7 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(k_is_defined,conjecture,
    [++defined(k)]).

input_clause(l_is_defined,conjecture,
    [++defined(l)]).

input_clause(not_sum_6,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(not_sum_7,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(sum_8,conjecture,
    [++sum(multiplicative_inverse(a),multiplicative_inverse(b),u)]).

input_clause(sum_9,conjecture,
    [++sum(a,b,k)]).

input_clause(product_10,conjecture,
    [++product(a,b,l)]).

input_clause(not_product_11,conjecture,
    [--product(k,multiplicative_inverse(l),u)]).
%--------------------------------------------------------------------------
