%--------------------------------------------------------------------------
% File     : FLD069-1 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If b > 0 and a >= 0, then a + b not 0
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.67 v2.1.0
% Syntax   : Number of clauses    :   33 (   3 non-Horn;   9 unit;  33 RR)
%            Number of literals   :   79 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(less_or_equal_3,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_4,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(b_not_equal_to_additive_identity_5,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(add_equals_additive_identity_6,conjecture,
    [++equalish(add(a,b),additive_identity)]).
%--------------------------------------------------------------------------
