%--------------------------------------------------------------------------
% File     : FLD099-4 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  12 unit;  35 RR)
%            Number of literals   :   86 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(less_or_equal_4,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(a,multiplicative_identity)]).

input_clause(not_sum_6,conjecture,
    [--sum(additive_identity,a,multiplicative_identity)]).

input_clause(sum_7,conjecture,
    [++sum(multiplicative_identity,a,u)]).

input_clause(sum_8,conjecture,
    [++sum(multiplicative_identity,additive_inverse(a),v)]).

input_clause(not_less_or_equal_9,conjecture,
    [--less_or_equal(u,multiplicative_inverse(v))]).
%--------------------------------------------------------------------------
