%--------------------------------------------------------------------------
% File     : LAT016-1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : E1 fails for Ortholattices.
% Version  : [McC98b] (equality) axioms.
% English  : Show that Ortholattices do not necessarily satisfy equation E1.

% Refs     : [McC98a] McCune (1998), Automatic Proofs and Counterexamples f
%          : [McC98b] McCune (1998), Email to G. Sutcliffe
% Source   : [McC98b]
% Names    : OL-1 [McC98b]

% Status   : satisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  10 unit;   4 RR)
%            Number of literals   :   25 (  25 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   37 (   2 singleton)
%            Maximal term depth   :    9 (   1 average)

% Comments : Ortholattice lemmas are included in McCunes original, but have
%            been removed here.
%          : The smallest model has 10 elements.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include ortholattice axioms
include('Axioms/LAT003-0.ax').
%--------------------------------------------------------------------------
%----Denial of equation E1
input_clause(prove_e1,conjecture,
    [--equal(join(complement(join(meet(a,complement(b)),complement(a))),
join(meet(a,complement(b)),join(meet(complement(a),meet(join(a,complement(b)),
join(a,b))),meet(complement(a),complement(meet(join(a,complement(b)),
join(a,b))))))),1)]).
%--------------------------------------------------------------------------
