%--------------------------------------------------------------------------
% File     : NUM019-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Symmetry of equality can be derived
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls41 [LS74]
%          : Problem 41 [LS74]
%          : ls41 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   8 unit;   6 RR)
%            Number of literals   :   15 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   15 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,hypothesis,
    [++equalish(X,X)]).

input_clause(transitivity,hypothesis,
    [--equalish(X,Y),
     --equalish(X,Z),
     ++equalish(Y,Z)]).

input_clause(zero_is_the_first_number,hypothesis,
    [--equalish(successor(A),0)]).

input_clause(a_equals_aa,hypothesis,
    [++equalish(a,aa)]).

input_clause(prove_b_equals_a,conjecture,
    [--equalish(aa,a)]).
%--------------------------------------------------------------------------
