%--------------------------------------------------------------------------
% File     : SET012-3 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Complement is an involution
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.78 v2.2.0, 0.78 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :  269 (  20 non-Horn;  15 unit; 167 RR)
%            Number of literals   :  632 ( 276 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   62 (   9 constant; 0-5 arity)
%            Number of variables  :  732 (  28 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(complement_of_a_is_b,hypothesis,
    [++equal(complement(as),bs)]).

input_clause(complement_of_b_is_c,hypothesis,
    [++equal(complement(bs),cs)]).

input_clause(prove_a_equals_c,conjecture,
    [--equal(as,cs)]).
%--------------------------------------------------------------------------
