%--------------------------------------------------------------------------
% File     : SET019+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Two sets that contain one another are equal 
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   33 (   2 unit)
%            Number of atoms       :   80 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   49 (   2 ~  ;   2  |;  12  &)
%                                         (  10 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   86 (   0 singleton;  85 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI02,conjecture,(
    ! [A,B] : 
      ( ( subset(A,B)
        & subset(B,A) )
     => equal_set(A,B) )   )).
%--------------------------------------------------------------------------
