%--------------------------------------------------------------------------
% File     : SET060-6 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Nothing in the intersection of a set and its complement
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :  160 (   8 non-Horn;  31 unit;  95 RR)
%            Number of literals   :  333 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_special_classes_lemma_1,conjecture,
    [++member(y,intersection(complement(x),x))]).
%--------------------------------------------------------------------------
