%--------------------------------------------------------------------------
% File     : SET094-6 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Property 1 of singleton sets
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.2.0, 0.00 v2.1.0
% Syntax   : Number of clauses    :  163 (   8 non-Horn;  33 unit;  98 RR)
%            Number of literals   :  337 ( 164 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   41 (  10 constant; 0-3 arity)
%            Number of variables  :  380 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_property_of_singletons1_1,conjecture,
    [++equal(singleton(member_of(x)),x)]).

input_clause(prove_property_of_singletons1_2,conjecture,
    [++member(y,x)]).

input_clause(prove_property_of_singletons1_3,conjecture,
    [--equal(member_of(x),y)]).
%--------------------------------------------------------------------------
