%--------------------------------------------------------------------------
% File     : SET709+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Mappings)
% Problem  : The composition of mappings is a mapping
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  353 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  241 (   2 ~  ;   2  |; 104  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  509 (   0 singleton; 501 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII01,conjecture,(
    ! [F,G,A,B,C] : 
      ( ( maps(F,A,B)
        & maps(G,B,C) )
     => maps(compose_function(G,F,A,B,C),A,C) )   )).
%--------------------------------------------------------------------------
