%--------------------------------------------------------------------------
% File     : SET710+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Mappings)
% Problem  : Associativity of composition
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  354 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  242 (   2 ~  ;   2  |; 105  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  511 (   0 singleton; 503 !;   9 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII02,conjecture,(
    ! [F,G,H,A,B,C,D] : 
      ( ( maps(F,A,B)
        & maps(G,B,C)
        & maps(H,C,D) )
     => equal_maps(compose_function(H,compose_function(G,F,A,B,C),A,C,D),
compose_function(compose_function(H,G,B,C,D),F,A,B,D),A,D) )   )).
%--------------------------------------------------------------------------
