%--------------------------------------------------------------------------
% File     : SET752+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Mappings)
% Problem  : The image of union is equal to the union of images 
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  354 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  242 (   2 ~  ;   2  |; 105  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  509 (   0 singleton; 501 !;   9 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thIIa02,conjecture,(
    ! [F,A,B,X,Y] : 
      ( ( maps(F,A,B)
        & subset(X,A)
        & subset(Y,A) )
     => equal_set(image2(F,union(X,Y)),union(image2(F,X),image2(F,Y))) )   )).
%--------------------------------------------------------------------------
