%--------------------------------------------------------------------------
% File     : SYN059-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 29
% Version  : Especial.
% English  : 

% Refs     : [KM64]  Kalish & Montegue (1964), Logic: Techniques of Formal 
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 29 [Pel86]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.33 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   32 (  22 non-Horn;   2 unit;  32 RR)
%            Number of literals   :  120 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :    4 (   0 propositional; 1-1 arity)
%            Number of functors   :    7 (   7 constant; 0-0 arity)
%            Number of variables  :   32 (  10 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(a)]).

input_clause(clause_2,axiom,
    [++big_g(b)]).

input_clause(clause_3,conjecture,
    [--big_f(X),
     ++big_h(X),
     --big_f(Y),
     --big_g(Z),
     ++big_h(Y)]).

input_clause(clause_4,conjecture,
    [--big_f(X),
     ++big_h(X),
     --big_f(Y),
     --big_g(Z),
     ++big_j(Z)]).

input_clause(clause_5,conjecture,
    [--big_f(X),
     ++big_h(X),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_6,conjecture,
    [--big_f(X),
     ++big_h(X),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_7,conjecture,
    [--big_f(X),
     ++big_h(X),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_8,conjecture,
    [--big_f(X),
     ++big_h(X),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_9,conjecture,
    [--big_g(X),
     ++big_j(X),
     --big_f(Y),
     --big_g(Z),
     ++big_h(Y)]).

input_clause(clause_10,conjecture,
    [--big_g(X),
     ++big_j(X),
     --big_f(Y),
     --big_g(Z),
     ++big_j(Z)]).

input_clause(clause_11,conjecture,
    [--big_g(X),
     ++big_j(X),
     ++big_f(e),
     ++big_g(j)]).

input_clause(clause_12,conjecture,
    [--big_g(X),
     ++big_j(X),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_13,conjecture,
    [--big_g(X),
     ++big_j(X),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_14,conjecture,
    [--big_g(X),
     ++big_j(X),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_15,conjecture,
    [++big_f(c),
     --big_f(X),
     --big_g(Y),
     ++big_h(X)]).

input_clause(clause_16,conjecture,
    [++big_f(c),
     --big_f(X),
     --big_g(Y),
     ++big_j(Y)]).

input_clause(clause_17,conjecture,
    [++big_f(c),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_18,conjecture,
    [++big_f(c),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_19,conjecture,
    [++big_f(c),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_20,conjecture,
    [++big_f(c),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_21,conjecture,
    [++big_g(d),
     --big_f(X),
     --big_g(Y),
     ++big_h(X)]).

input_clause(clause_22,conjecture,
    [++big_g(d),
     --big_f(X),
     --big_g(Y),
     ++big_j(Y)]).

input_clause(clause_23,conjecture,
    [++big_g(d),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_24,conjecture,
    [++big_g(d),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_25,conjecture,
    [++big_g(d),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_26,conjecture,
    [++big_g(d),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_27,conjecture,
    [--big_h(c),
     --big_j(d),
     --big_f(X),
     --big_g(Y),
     ++big_h(X)]).

input_clause(clause_28,conjecture,
    [--big_h(c),
     --big_j(d),
     --big_f(X),
     --big_g(Y),
     ++big_j(Y)]).

input_clause(clause_29,conjecture,
    [--big_h(c),
     --big_j(d),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_30,conjecture,
    [--big_h(c),
     --big_j(d),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_31,conjecture,
    [--big_h(c),
     ++big_j(d),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_32,conjecture,
    [--big_h(c),
     --big_j(d),
     --big_h(e),
     --big_j(f)]).
%--------------------------------------------------------------------------
