%--------------------------------------------------------------------------
% File     : SYN071-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 48
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Rud93] Rudnicki (1993), Email to G. Sutcliffe
% Source   : [Pel86]
% Names    : Pelletier 48 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.0, 0.25 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   2 non-Horn;   3 unit;   6 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   4 constant; 0-0 arity)
%            Number of variables  :    6 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : [Pel86] says that Rudnicki has not published this problem
%            anywhere.
%          : [Rud93] says "I have seen it for the first time around 1977,
%            it was shown to me by A. Trybulec but I am sure it is folklore."
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(a,b),
     ++equal(c,d)]).

input_clause(clause_2,axiom,
    [++equal(a,c),
     ++equal(b,d)]).

input_clause(clause_3,conjecture,
    [--equal(a,d)]).

input_clause(clause_4,conjecture,
    [--equal(b,c)]).
%--------------------------------------------------------------------------
