%--------------------------------------------------------------------------
% File     : SYN306-1 : TPTP v2.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Especial.
% English  : 

% Refs     : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
% Source   : [FL+93]
% Names    : EXAMPLE 3.2.2 [FL+93]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.33 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   1 non-Horn;   2 unit;   3 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :    6 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++p(X),
     ++q(g(X,X))]).

input_clause(clause2,conjecture,
    [--q(Y),
     ++r(X,Y)]).

input_clause(clause3,conjecture,
    [--r(a,a),
     --r(f(b),a)]).

input_clause(clause4,conjecture,
    [++r(f(X),Y)]).

input_clause(clause5,conjecture,
    [++p(X),
     --p(f(X))]).

input_clause(clause6,conjecture,
    [--p(a)]).
%--------------------------------------------------------------------------
