%--------------------------------------------------------------------------
% File     : SYN319+1 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.2 (5)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
% Source   : [Chu56]
% Names    : 46.2 (5) [Chu56]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   12 (   0 equality)
%            Maximal formula depth :    9 (   9 average)
%            Number of connectives :   12 (   1 ~  ;   2  |;   2  &)
%                                         (   0 <=>;   7 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    4 (   0 singleton;   2 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_2_5,conjecture,(
    ? [X,Y] : 
    ! [Z1,Z2] : 
      ( ( ( big_f(Y)
         => big_g(Z1) )
       => ( big_g(X)
          & ~ big_f(Z1) ) )
     => ( ( ( big_f(X)
            | big_g(X) )
         => big_h(X) )
       => ( big_h(Z2)
          & ( big_h(Y)
           => ( ( big_f(Z2)
                | big_g(Z2) )
             => big_h(Z2) ) ) ) ) )   )).
%--------------------------------------------------------------------------
