%--------------------------------------------------------------------------
% File     : PRV001-0 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Program Verification
% Axioms   : Substitution axioms for program verification axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   0 unit;   3 RR)
%            Number of literals   :    6 (   6 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   0 constant; 1-1 arity)
%            Number of variables  :    6 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Only reflexivity is specified from equality, i.e. no symmetry 
%            or transitivity.
%          : This axiom was contributed to [MOW76] in private correspondance
%            from G. Ernst.
%--------------------------------------------------------------------------
input_clause(predecessor_substitution,axiom,
    [++equal(predecessor(X),predecessor(Y)),
     --equal(X,Y)]).

input_clause(successor_substitution,axiom,
    [++equal(successor(X),successor(Y)),
     --equal(X,Y)]).

input_clause(a_substitution,axiom,
    [++equal(a(X),a(Y)),
     --equal(X,Y)]).
%--------------------------------------------------------------------------
