%--------------------------------------------------------------------------
% File     : COL078-1 : TPTP v2.2.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst Abst Abst Abst = k(k(id))
% Version  : [Jec95] (equality) axioms.
% English  : 

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [Jec95]
% Names    : Proposition 1b [Jec95]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   1 non-Horn;  11 unit;   6 RR)
%            Number of literals   :   34 (  34 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   45 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms of Type-respecting combinators 
include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
input_clause(identity_definition,axiom,
    [++equal(apply(identity,X),X)]).

input_clause(prove_TRC1b,conjecture,
    [--equal(apply(apply(apply(abstraction,abstraction),abstraction),
abstraction),k(k(identity)))]).
%--------------------------------------------------------------------------
