%--------------------------------------------------------------------------
% File     : GEO036-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : The 3 axiom set points are distinct
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.22 v2.2.0, 0.33 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses    :   54 (   6 non-Horn;   7 unit;  25 RR)
%            Number of literals   :  136 (  73 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :    8 (   3 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_axioms_points_are_distinct,conjecture,
    [++equal(lower_dimension_point_1,lower_dimension_point_2),
     ++equal(lower_dimension_point_2,lower_dimension_point_3),
     ++equal(lower_dimension_point_1,lower_dimension_point_3)]).
%--------------------------------------------------------------------------
