%--------------------------------------------------------------------------
% File     : GEO037-2 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : A segment can be extended
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.67 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses    :   54 (   5 non-Horn;   7 unit;  25 RR)
%            Number of literals   :  136 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_lengthen,conjecture,
    [++equal(v,extension(u,v,lower_dimension_point_1,
lower_dimension_point_2)),
     --equidistant(v,extension(u,v,lower_dimension_point_1,
lower_dimension_point_2),x,extension(w,x,lower_dimension_point_1,
lower_dimension_point_2)),
     --between(u,v,extension(u,v,lower_dimension_point_1,
lower_dimension_point_2))]).
%--------------------------------------------------------------------------
