%--------------------------------------------------------------------------
% File     : GRP023-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : The inverse of the identity is the identity
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [OMW76] Overbeek et al. (1976), Complexity and Related Enhance
% Source   : [MOW76]
% Names    : Identity established [MOW76]
%          : Lemma proved [OMW76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   18 (   0 non-Horn;   7 unit;  10 RR)
%            Number of literals   :   38 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_inverse_of_id_is_id,conjecture,
    [--equal(inverse(identity),identity)]).
%--------------------------------------------------------------------------
