%--------------------------------------------------------------------------
% File     : LCL117-1 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Logic Calculi (R)
% Problem  : QYF depends on YQM
% Version  : [McC92] axioms.
% English  : Single axioms for the R calculus are QYF, YQM, WO, all 
%            by Meredith and XGJ by Winker. Show that QYF depends on YQM.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : R-85 [MW92]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom from Meredith 
input_clause(yqm,axiom,
    [++is_a_theorem(equivalent(equivalent(X,Y),equivalent(
equivalent(Z,Y),equivalent(Z,X))))]).

%----Axiom from Meredith 
input_clause(prove_qyf,conjecture,
    [--is_a_theorem(equivalent(equivalent(equivalent(a,b),
equivalent(a,c)),equivalent(c,b)))]).
%--------------------------------------------------------------------------
