%--------------------------------------------------------------------------
% File     : SET015-2 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : The union of sets is commutative
% Version  : [MOW76] axioms : Especial.
%            Theorem formulation : modified.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : union.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.33 v2.1.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;   6 unit;  23 RR)
%            Number of literals   :   74 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   80 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET002-0.eq
%--------------------------------------------------------------------------
%----Include set axioms 
include('Axioms/SET002-0.ax').
include('Axioms/SET002-0.eq').
%--------------------------------------------------------------------------
input_clause(a_union_b_is_c,hypothesis,
    [++equal_sets(union(as,bs),cs)]).

input_clause(b_union_a_is_d,hypothesis,
    [++equal_sets(union(bs,as),ds)]).

input_clause(prove_c_equals_d,conjecture,
    [--equal_sets(cs,ds)]).
%--------------------------------------------------------------------------
