%--------------------------------------------------------------------------
% File     : SET047-5 : TPTP v2.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Set equality is symmetric
% Version  : [Pel86] axioms : Incomplete.
% English  : Define set equality as having exactly the same members. Prove 
%            set equality is symmetric.

% Refs     : [DeC79] DeChampeaux (1979), Sub-problem Finder and Instance Ch
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 43 [Pel86]
%          : p43.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   2 non-Horn;   0 unit;   5 RR)
%            Number of literals   :   16 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   10 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(element_substitution1,axiom,
    [--set_equal(X,Y),
     --element(Z,X),
     ++element(Z,Y)]).

input_clause(element_substitution2,axiom,
    [--set_equal(X,Y),
     --element(Z,Y),
     ++element(Z,X)]).

input_clause(clause_3,axiom,
    [++element(f(X,Y),X),
     ++element(f(X,Y),Y),
     ++set_equal(X,Y)]).

input_clause(clause_4,axiom,
    [--element(f(X,Y),Y),
     --element(f(X,Y),X),
     ++set_equal(X,Y)]).

input_clause(prove_symmetry1,conjecture,
    [++set_equal(a,b),
     ++set_equal(b,a)]).

input_clause(prove_symmetry2,conjecture,
    [--set_equal(b,a),
     --set_equal(a,b)]).
%--------------------------------------------------------------------------
