%--------------------------------------------------------------------------
% File     : SET074-6 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Corollary to unordered pair axiom
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.2.0, 0.33 v2.1.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  96 RR)
%            Number of literals   :  334 ( 161 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_unordered_pair_axiom2_1,conjecture,
    [++member(y,universal_class)]).

input_clause(prove_corollary_to_unordered_pair_axiom2_2,conjecture,
    [++equal(unordered_pair(x,y),null_class)]).
%--------------------------------------------------------------------------
