%--------------------------------------------------------------------------
% File     : SET097+1 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory
% Problem  : A class contain 0, 1 or at least 2 members.
% Version  : [Quaife, 1992] axioms : Reduced & Augmented > Complete.
% English  :

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
% Source   : [Qua92]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   96 (  18 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   59 (   5 ~  ;   5  |;  23  &)
%                                         (  18 <=>;   8 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   27 (   5 constant; 0-3 arity)
%            Number of variables   :   83 (   0 singleton;  79 !;   4 ?)
%            Maximal term depth    :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include set theory axioms
include('Axioms/SET005+0.ax').
%--------------------------------------------------------------------------
%----SS13: A class contain 0, 1 or at least 2 members.
input_formula(number_of_elements_in_class,conjecture,(
    ! [X] : 
      ( member(not_subclass_element(intersection(complement(singleton(
not_subclass_element(X,null_class))),X),null_class),intersection(
complement(singleton(not_subclass_element(X,null_class))),X))
      | equal(singleton(not_subclass_element(X,null_class)),X)
      | equal(X,null_class) )   )).
%--------------------------------------------------------------------------
