%--------------------------------------------------------------------------
% File     : SET099-6 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Corollary 2 to a class contains 0, 1, or at least 2 members
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  162 (   8 non-Horn;  33 unit;  97 RR)
%            Number of literals   :  335 ( 163 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   39 (   9 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_2_to_number_of_elements_in_class_1,conjecture,
    [++equal(not_subclass_element(intersection(complement(singleton(
not_subclass_element(x,null_class))),x),null_class),not_subclass_element(
x,null_class))]).

input_clause(prove_corollary_2_to_number_of_elements_in_class_2,conjecture,
    [--equal(singleton(not_subclass_element(x,null_class)),x)]).

input_clause(prove_corollary_2_to_number_of_elements_in_class_3,conjecture,
    [--equal(x,null_class)]).
%--------------------------------------------------------------------------
