%--------------------------------------------------------------------------
% File     : SET104-6 : TPTP v2.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Special member 2 of an ordered pair
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  96 RR)
%            Number of literals   :  334 ( 161 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause prove_property_2_of_ordered_pair_1 removed.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
%----This is not in the version in [Qua92]
% input_clause(prove_property_2_of_ordered_pair_1,conjecture,
%     [++member(y,universal_class)]).

input_clause(prove_property_2_of_ordered_pair_2,conjecture,
    [--equal(unordered_pair(null_class,singleton(singleton(y))),
ordered_pair(x,y))]).

input_clause(prove_property_2_of_ordered_pair_3,conjecture,
    [--member(x,universal_class)]).
%--------------------------------------------------------------------------
