%--------------------------------------------------------------------------
% File     : SET372+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Power set distributes over intersection
% Version  : [Pas99] axioms.
% English  : The power_set of the intersection of A and B is equal to the 
%            intersection of the power_set of A and the power_set of B.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   33 (   3 unit)
%            Number of atoms       :   78 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   47 (   2 ~  ;   2  |;  11  &)
%                                         (  10 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   86 (   0 singleton;  85 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI21,conjecture,(
    ! [A,B] : equal_set(power_set(intersection(A,B)),
intersection(power_set(A),power_set(B)))   )).
%--------------------------------------------------------------------------
