%--------------------------------------------------------------------------
% File     : SET767+4 : TPTP v2.2.0. Released v2.2.0.
% Domain   : Set Theory (Equivalence relations)
% Problem  : Equivalence classes on E are power_set E 
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   49 (   2 unit)
%            Number of atoms       :  148 (  54 equality)
%            Maximal formula depth :   10 (   3 average)
%            Number of connectives :  102 (   3 ~  ;   2  |;  36  &)
%                                         (  15 <=>;  46 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 2-3 arity)
%            Number of functors    :   10 (   1 constant; 0-3 arity)
%            Number of variables   :  145 (   0 singleton; 148 !;   4 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include equivalence relation axioms
include('Axioms/SET006+2.ax').
include('Axioms/SET006+2.eq').
%--------------------------------------------------------------------------
input_formula(thIII03,conjecture,(
    ! [E,R,A] : 
      ( equivalence(R,E)
     => subset(equivalence_class(A,E,R),E) )   )).
%--------------------------------------------------------------------------
