%--------------------------------------------------------------------------
% File     : SYN305-1 : TPTP v2.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Especial.
% English  : 

% Refs     : [BCP94] Bourely et al. (1994), A Method for Building Models Au
% Source   : [BCP94]
% Names    : Example 3 [BCP94]

% Status   : satisfiable
% Rating   : 0.25 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   4 unit;   6 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   0 constant; 1-1 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(g1_substitution1,axiom,
    [--equal(A,B),
     ++equal(g1(A),g1(B))]).

input_clause(g2_substitution1,axiom,
    [--equal(A,B),
     ++equal(g2(A),g2(B))]).

input_clause(clause1,conjecture,
    [++equal(f(g1(X)),X)]).

input_clause(clause2,conjecture,
    [++equal(f(g2(X)),X)]).

input_clause(clause3,conjecture,
    [--equal(g1(X),g2(X))]).
%--------------------------------------------------------------------------
