%--------------------------------------------------------------------------
% File     : SYN327-1 : TPTP v2.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.12 (2)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch12N2 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   2 non-Horn;   0 unit;   4 RR)
%            Number of literals   :   14 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :    6 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(Y,a),
     ++f(a,Y)]).

input_clause(clause2,conjecture,
    [++f(Y,a),
     --f(a,z(Y))]).

input_clause(clause3,conjecture,
    [++f(a,z(Y)),
     ++f(a,Y)]).

input_clause(clause4,conjecture,
    [++f(a,z(Y)),
     --f(Y,a),
     --f(z(Y),Y)]).

input_clause(clause5,conjecture,
    [--f(a,Y),
     --f(a,z(Y))]).

input_clause(clause6,conjecture,
    [--f(a,Y),
     --f(Y,a),
     --f(z(Y),Y)]).
%--------------------------------------------------------------------------
