%--------------------------------------------------------------------------
% File     : SYN336-1 : TPTP v2.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.15 (1)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch15N1 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   5 unit;   1 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    1 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-2 arity)
%            Number of variables  :    9 (   6 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(a,z(Y1,Y2))]).

input_clause(clause2,conjecture,
    [++f(Y1,z(Y1,Y2))]).

input_clause(clause3,conjecture,
    [++f(Y2,z(Y1,Y2))]).

input_clause(clause4,conjecture,
    [++f(Y1,a)]).

input_clause(clause5,conjecture,
    [--f(z(Y1,Y2),Y2)]).
%--------------------------------------------------------------------------
