%--------------------------------------------------------------------------
% File     : SYN345-1 : TPTP v2.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.16 (4)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch16N4 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   4 non-Horn;   0 unit;   4 RR)
%            Number of literals   :   24 (   0 equality)
%            Maximal clause size  :    3 (   3 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   13 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(a,b,Y1),
     --f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause2,conjecture,
    [--f(Y2,Y1,z(Y1,Y2)),
     --f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause3,conjecture,
    [++f(b,Y1,Y2),
     ++f(a,a,b),
     --f(a,b,b)]).

input_clause(clause4,conjecture,
    [--f(Y1,z(Y1,Y2),z(Y1,Y2)),
     ++f(a,a,b),
     --f(a,b,b)]).

input_clause(clause5,conjecture,
    [++f(Y1,Y2,z(Y1,Y2)),
     ++f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause6,conjecture,
    [++f(Y1,Y2,z(Y1,Y2)),
     --f(a,a,b),
     --f(a,b,b)]).

input_clause(clause7,conjecture,
    [--f(b,b,Y1),
     ++f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause8,conjecture,
    [--f(b,b,Y1),
     --f(a,a,b),
     --f(a,b,b)]).
%--------------------------------------------------------------------------
