%--------------------------------------------------------------------------
% File     : SYN385+1 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2137
% Version  : Especial.
% English  : 

% Refs     : [And86] Andrews (1986), An Introduction to Mathematical Logic 
%          : [And94] Andrews (1994), Email to G. Sutcliffe
% Source   : [And94]
% Names    : X2137 [Andrews, 1986]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    3 (   0 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    2 (   0 ~  ;   1  |;   0  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    2 (   1 singleton;   1 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(x2137,conjecture,(
    ? [X] : 
    ! [Y] : 
      ( big_p(X)
     => ( big_q(X)
        | big_p(Y) ) )   )).
%--------------------------------------------------------------------------
