%--------------------------------------------------------------------------
% File     : SYN417+1 : TPTP v2.2.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Harrison's cute problem
% Version  : Especial.
% English  : 

% Refs     : [Har95] Harrison (1995), Email to G. Sutcliffe
% Source   : [Har95]
% Names    : 

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    6 (   1 unit)
%            Number of atoms       :   16 (  16 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   10 (   0 ~  ;   0  |;   3  &)
%                                         (   1 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : This problem was posted to the info-hol mailing list by Wishnu 
%            Prasetya.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(f_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(f(A),f(B)) )   )).

input_formula(g_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(g(A),g(B)) )   )).

input_formula(cute,conjecture,(
    ? [X] : 
      ( equal(X,f(g(X)))
      & ! [Y] : 
          ( equal(Y,f(g(Y)))
         => equal(X,Y) ) )
<=> ? [X] : 
      ( equal(X,g(f(X)))
      & ! [Y] : 
          ( equal(Y,g(f(Y)))
         => equal(X,Y) ) )   )).
%--------------------------------------------------------------------------
